org.eclipse.mat.parser.index

## Class IndexWriter.InboundWriter

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.InboundWriter

Enclosing class:
  IndexWriter

    public static class IndexWriter.InboundWriter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InboundWriter(int size, File indexFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()`
`void` `close()`
`IIndexReader.IOne2ManyObjectsIndex` `flush(IProgressListener monitor, IndexWriter.KeyWriter keyWriter)`
`File` `getIndexFile()`
`void` `log(int objectIndex, int refIndex, boolean isPseudo)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InboundWriter

    public InboundWriter(int size,
                         File indexFile)
                  throws IOException

Throws:
  `IOException`

### Method Detail

#### log

    public void log(int objectIndex,
                    int refIndex,
                    boolean isPseudo)
             throws IOException

Throws:
  `IOException`

#### flush

    public IIndexReader.IOne2ManyObjectsIndex flush(IProgressListener monitor,
                                                    IndexWriter.KeyWriter keyWriter)
                                             throws IOException

Throws:
  `IOException`

#### cancel

    public void cancel()

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### getIndexFile

    public File getIndexFile()